Export API Base URL for export API is bot-specific https://feedbot-${BotId}.azurewebsites.net. Please use the ?code=...query param or x-functions-key: ... HTTP header to perform token based authentication. Get users data Calling this endpoint without timestamp filters can return very large amount of data and affect bot performance. Regular daily fetching of data from the past day is recommended approach. GET /api/management/export/userData Returns list of objects containing all user-scoped data which bot persists. Optional filters parameters: notEmpty use comma separated list of fields (in camelCase format) which should not be empty to include given user in the output list fromTimestamp and toTimestamp second-based UNIX timestamp to limit users in the output based on the date of last message where... where ... is name of field which should be equal to the parameter value userId timestamp ... all storages in camelCase ... Examples GET https://feedbot-${BotId}.azurewebsites.net/api/management/export/userData?notEmpty=phone&fromTimestamp=1559901734&code=${FunctionKey} to get data of all users who have interacted with the bot after 06/07/2019 10:02:14 and have passed through question with phone storage GET https://feedbot-${BotId}.azurewebsites.net/api/management/export/userData?whereGender=male&&code=${FunctionKey} to get data of all male users Get users data snapshot This API method is available since bot hosting version v1.7.474 GET /api/management/export/userDataSnapshot Returns list of objects containing all user-scoped data snapshots (generated by the "clear user data" action) which bot persists. Usage and all params are the same as in "Get users data" API. userId timestamp ... all storages in camelCase ... Get NLP logs This API method is available since bot hosting version v1.7.474 GET /api/management/export/nlpLog Returns list of objects containing all inputs entered by the user which was not possible to process using conversation tree. Desired time range could be specified using fromTimestamp and toTimestamp second-based UNIX timestamp. userId timestamp dialogId stepId stepType query modelId intent result processed Get outgoing emails This API method is available since bot hosting version v1.7.474 GET /api/management/export/outgoingEmail Returns list of objects containing all emails sent by the chatbot incl. recipient, subject, body. Desired time range could be specified using fromTimestamp and toTimestamp second-based UNIX timestamp. userId timestamp body from recipients replyTo stepId subject Get outgoing SMS This API method is available since bot hosting version v1.7.474 GET /api/management/export/outgoingSms Returns list of objects containing all SMS messages sent by the chatbot. Desired time range could be specified using fromTimestamp and toTimestamp second-based UNIX timestamp. userId timestamp channel link message provider recipients Get fuzzy question answers log This API method is available since bot hosting version v1.7.474 GET /api/management/export/fuzzyQuestionAnswerLog Returns list of objects containing all utterances processed by the fuzzy question answer plugin. Desired time range could be specified using fromTimestamp and toTimestamp second-based UNIX timestamp. userId timestamp intent score text stepId dialogId matched otherClassifications Get integration log This API method is available since bot hosting version v1.7.474 GET /api/management/export/integrationLog Returns list of objects containing all integration invocations. Desired time range could be specified using fromTimestamp and toTimestamp second-based UNIX timestamp. userId timestamp url method requestBody requestHeaders responseStatus responseBody duration Get URL tracker This API method is available since bot hosting version v1.7.474 GET /api/management/export/urlTracker Returns list of objects containing row for every click on URL button in bot by every user including target URL and domain. Desired time range could be specified using fromTimestamp and toTimestamp second-based UNIX timestamp. userId timestamp domain url